Cannot run : caterpillar portlets

Hi,
I am newbie to ROR and rails portlet. I try to create this
example-Rails-portlets
(http://rails-portlet.rubyforge.org/example.html):
$ rails example
$ $ cd example
$ ./script/generate controller bear hungry
$ ./script/generate controller otter adorable
$ ./script/generate caterpillar

I get an error when executing the following step:

$ caterpillar portlets
Caterpillar v.1.0.1 © Copyright 2008,2009 Mikael Lammentausta
Provided under the terms of the MIT license.

Warbler configuration file could not be found
rake aborted!
uninitialized constant Caterpillar::Task::Lportal
/usr/lib/ruby/gems/1.8/gems/activesupport-2.3.3/lib/active_support/dependenci
es.rb:105:in `const_missing’
(See full trace by running task with --trace)

can someone tell me what I’m doing wrong or wat I’m missing?

Thanks im Advance

*** LOCAL GEMS ***

actionmailer (2.3.2)
actionpack (2.3.2)
activerecord (2.3.2)
activerecord-jdbc-adapter (0.9.1)
activerecord-jdbcmysql-adapter (0.9.1)
activeresource (2.3.2)
activesupport (2.3.4, 2.3.2)
ambethia-smtp-tls (1.1.2)
caterpillar (1.0.1, 1.0.0)
cgi_multipart_eof_fix (2.5.0)
chronic (0.2.3)
daemons (1.0.10)
fastercsv (1.5.0)
fastthread (1.0.7)
gem_plugin (0.2.3)
hoe (2.2.0)
hypersonic (1.0)
image_science (1.1.3)
jdbc-mysql (5.0.4)
jruby-jars (1.3.1)
linecache (0.43)
lportal (1.0.18)
mislav-will_paginate (2.2.3)
mongrel (1.1.5)
mysql (2.7)
packet (0.1.15)
rails (2.3.2)
rake (0.8.7)
ruby-debug-base (0.10.3)
ruby-debug-ide (0.4.4)
rubyforge (1.0.3)
rubygems-update (1.3.3)
RubyInline (3.8.1)
rubyist-aasm (2.0.5)
uuidtools (1.0.3)
warbler (0.9.14)

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs